#include <stdexcept>
#include "context.h"
#include "device.h"

namespace Msp {
namespace AL {

Context::Context(Device &dev)
{
	context = alcCreateContext(dev.get_device(), 0);
	if(!context)
		throw std::runtime_error("Couldn't create OpenAL context");

	alcMakeContextCurrent(context);
}

Context::~Context()
{
	alcDestroyContext(context);
}

} // namespace AL
} // namespace Msp
